org.faceless.pdf2.viewer2.feature

## Class RotateClockwise

- java.lang.Object
- - org.faceless.pdf2.viewer2.ViewerFeature
  - - org.faceless.pdf2.viewer2.ViewerWidget
    - - org.faceless.pdf2.viewer2.feature.RotateClockwise

- All Implemented Interfaces:
    ThumbnailPanel.ThumbnailSelectionAction
  Direct Known Subclasses:
    RotateAntiClockwise

      public class RotateClockwise
      extends ViewerWidget
      implements ThumbnailPanel.ThumbnailSelectionAction

  Create a button that will rotate the page 90 degrees clockwise. The name of this feature is RotateClockwise

  This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.

  Since:
    2.8.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RotateClockwise()`
    `RotateClockwise(String name, int diff)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ActionListener` | `createActionListener()` Return an ActionListener that will be called when this Widget is activated.
    `Action` | `getAction(ThumbnailPanel.View view)` Return an Action for the specified View, or `null` if this action is not appropriate for the View (for example, because it edits the Document and the `ThumbnailPanel.View.isEditable()` method returns false
    `void` | `initialize(PDFViewer viewer)` Called when the feature is first added to a viewer
    `boolean` | `isButtonEnabledByDefault()` Return true if the button component for this widget is enabled by default.

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerWidget

      `action, getComponent, getIcon, getViewer, isDocumentRequired, isMenuEnabledByDefault, setButton, setComponent, setDocumentRequired, setMenu, setMenu, setToolBarEnabled, setToolBarEnabledAlways, setToolBarFloatable, setToolBarFloating, toString`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerFeature

      `getAllEnabledFeatures, getAllFeatures, getCustomJavaScript, getFeatureProperty, getFeatureURLProperty, getName, isEnabledByDefault, setFeatureName, teardown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RotateClockwise

          public RotateClockwise()

    - #### RotateClockwise

          public RotateClockwise(String name,
                                 int diff)

  - ### Method Detail

    - #### createActionListener

          protected ActionListener createActionListener()

      Description copied from class: `ViewerWidget`
      Return an ActionListener that will be called when this Widget is activated. Subclasses will typically not need to override this method except in special cases.
      Overrides:
        `createActionListener` in class `ViewerWidget`
      Returns:
        ActionListener the ActionListener to be notified when an event fires
      See Also:
        `Quit.createActionListener()`

    - #### initialize

          public void initialize(PDFViewer viewer)

      Description copied from class: `ViewerFeature`
      Called when the feature is first added to a viewer
      Overrides:
        `initialize` in class `ViewerWidget`

    - #### isButtonEnabledByDefault

          public boolean isButtonEnabledByDefault()

      Description copied from class: `ViewerWidget`
      Return true if the button component for this widget is enabled by default. The default is "true"
      Overrides:
        `isButtonEnabledByDefault` in class `ViewerWidget`

    - #### getAction

          public Action getAction(ThumbnailPanel.View view)

      Description copied from interface: `ThumbnailPanel.ThumbnailSelectionAction`
      Return an Action for the specified View, or `null` if this action is not appropriate for the View (for example, because it edits the Document and the `ThumbnailPanel.View.isEditable()` method returns false
      Specified by:
        `getAction` in interface `ThumbnailPanel.ThumbnailSelectionAction`

Copyright © 2001-2015 Big Faceless Organization